# EuropeanHealthInsuranceCardRecognizerConfiguration class

Configuration for the European health insurance card (EHIC) recognizer.

## Constructors

EuropeanHealthInsuranceCardRecognizerConfiguration.new({List<EuropeanHealthInsuranceCardIssuingCountry>? allowedCountries, int minBirthYear = 0, int maxBirthYear = 2999, int minExpirationYear = 0, int maxExpirationYear = 2999, int maxCountryDetectionAttempts = 5, int minEqualFrameCount = 4, int maxAccumulatedFrameCount = 10})
EuropeanHealthInsuranceCardRecognizerConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

allowedCountries ↔ List<EuropeanHealthInsuranceCardIssuingCountry>
  List of allowed countries for the EHIC. If:
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
maxAccumulatedFrameCount ↔ int
  Maximum number of partial frame results to keep in cache while waiting to gather minEqualFrameCount equal results.
  getter/setter pair
maxBirthYear ↔ int
  Maximum year of birth.
  getter/setter pair
maxCountryDetectionAttempts ↔ int
  Maximum number of attempts before giving up on country detection. After the specified number of attempts, the country field is considered to be unknown and validation is skipped. This option is ignored if allowedCountries is not empty.
  getter/setter pair
maxExpirationYear ↔ int
  Maximum card expiration year.
  getter/setter pair
minBirthYear ↔ int
  Minimum year of birth.
  getter/setter pair
minEqualFrameCount ↔ int
  Minimum number of accumulated frames that should have equal result for a field. Once satisfied, the corresponding field is considered to be successfully-recognized and won't be considered in the subsequent frames.
  getter/setter pair
minExpirationYear ↔ int
  Minimum card expiration year.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited